Bug 474669 - Brush Preset docker horizontal mode: Handle position resets after restart
Summary: Brush Preset docker horizontal mode: Handle position resets after restart
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Applications
Component: Dockers (show other bugs)
Version: 5.2.0-rc1
Platform: Appimage Linux
: NOR minor
Target Milestone: ---
Assignee: Dmitry Kazakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-09-18 21:28 UTC by askkegra
Modified: 2023-09-22 10:15 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description askkegra 2023-09-18 21:28:06 UTC
With the new horizontal mode of the Brush Preset docker you can adjust the width of the brush list and the various widgets on the right of it by clicking and dragging a handle. But the position of the handle is reset after restarting Krita. 

To reproduce:
1. Enable the Brush Presets docker and drag it to the bottom of the screen. Squish it down until horizontal mode is activated.
2. Adjust the width of the docker's UI elements by clicking and dragging the dotted handle to the right of the brush list.
3. Restart Krita.
4. The position of the handle has reset.  

Sidenote: A bit of padding around the handle would be nice :)
Comment 1 Dmitry Kazakov 2023-09-22 09:20:46 UTC
Git commit a25ce7e85cbb80388a44ed68aaf7c7c1d537278d by Dmitry Kazakov.
Committed on 22/09/2023 at 11:20.
Pushed by dkazakov into branch 'master'.

Make sure that splitter state is saved in Preset Chooser

M  +49   -0    libs/resourcewidgets/KisResourceItemChooser.cpp
M  +1    -1    libs/resourcewidgets/KisResourceItemChooser.h

https://invent.kde.org/graphics/krita/-/commit/a25ce7e85cbb80388a44ed68aaf7c7c1d537278d
Comment 2 Dmitry Kazakov 2023-09-22 10:15:10 UTC
Git commit 967f5bba4f6273e50584cf61215732e4d24ad27a by Dmitry Kazakov.
Committed on 22/09/2023 at 12:14.
Pushed by dkazakov into branch 'krita/5.2'.

Make sure that splitter state is saved in Preset Chooser

M  +49   -0    libs/resourcewidgets/KisResourceItemChooser.cpp
M  +1    -1    libs/resourcewidgets/KisResourceItemChooser.h

https://invent.kde.org/graphics/krita/-/commit/967f5bba4f6273e50584cf61215732e4d24ad27a